extends ../includes/layout

block content
    style. 
        .btn_pause{
            width:95px;
        }
    .d-flex.align-items-center.mb-4
        h4.fs-20.font-w600.mb-0.me-auto
    .row
        .col-xl-12
            .card
                .card-header
                    h4.card-title Bar Chart
                .card-body
                    #morris_bar_stalked.morris_chart_height


block script


    //-- Chart Morris plugin files -->
    script(src='/vendor/raphael/raphael.min.js')
    script(src='/vendor/morris/morris.min.js')


    script.

        var dlabMorris = function(){

            var barStalkChart = function(){
                //bar chart
                Morris.Bar({
                    element: 'morris_bar_stalked',
                    data: [{
                        y: 'S',
                        a: 66, 
                        b: 34
                    }, {
                        y: 'M',
                        a: 75, 
                        b: 25
                    }, {
                        y: 'T',
                        a: 50, 
                        b: 50
                    }, {
                        y: 'W',
                        a: 75, 
                        b: 25
                    }, {
                        y: 'T',
                        a: 50, 
                        b: 50
                    }, {
                        y: 'F',
                        a: 16, 
                        b: 84
                    }, {
                        y: 'S',
                        a: 70, 
                        b: 30
                    }, {
                        y: 'S',
                        a: 30, 
                        b: 70
                    }, {
                        y: 'M',
                        a: 40, 
                        b: 60
                    }, {
                        y: 'T',
                        a: 29, 
                        b: 71
                    }, {
                        y: 'W',
                        a: 44, 
                        b: 56
                    }, {
                        y: 'T',
                        a: 30, 
                        b: 70
                    }, {
                        y: 'F',
                        a: 60, 
                        b: 40
                    }, {
                        y: 'G',
                        a: 40, 
                        b: 60
                    }, {
                        y: 'S',
                        a: 46, 
                        b: 54
                    }],
                    xkey: 'y',
                    ykeys: ['a', 'b'],
                    labels: ['A', 'B'],
                    barColors: ['#f93a0b', "#F1F3F7"],
                    hideHover: 'auto',
                    gridLineColor: 'transparent',
                    resize: true,
                    barSizeRatio: 0.25,
                    stacked: true, 
                    behaveLikeLine: true,
                    //redraw: true

                    // barRadius: [6, 6, 0, 0]
                });

            }

            return {
                init:function(){
                    barStalkChart();
                },
            }

        }();

        $(document).ready(function(){
            dlabMorris.init();       
        });
